#include <redbook.h>
#include <datebox.h>
#include <academinfo.h>
#include <basicinfo.h>

GtkWidget* create_kafs(void) {
  GtkWidget *menu,*menuitem;
  GSList    *group;
  char *kaf_list[] = {
    "", "", "", "", ""
  };
  register int i;
  int nk = 5;
  menu = gtk_menu_new();
  menuitem = NULL; group = NULL;
  for(i=0;i<nk;i++) {
    menuitem = gtk_radio_menu_item_new_with_label (group,kaf_list[i]);
    group = gtk_radio_menu_item_group (GTK_RADIO_MENU_ITEM (menuitem));
    gtk_menu_append (GTK_MENU (menu), menuitem);
    gtk_widget_show (menuitem);
  }
  return menu;
}

void w_academ_input() {
  GtkWidget *academ_input,*TopBox,*Atable,
               *sid_lab,*name,
               *kur_lab,*kur_box,
               *kaf_lab,
               *separator,
               *tr_lab[7],	/* 6    */
               *kaf_menu,
               *boss_lab,
               *academ_info_box,
                   *save_academ_data,*cancel_academ_data;
  register int i;
  char buf[32];

  academ_input = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title(GTK_WINDOW(academ_input)," ");
  gtk_signal_connect(GTK_OBJECT(academ_input),"delete_event",
		     GTK_SIGNAL_FUNC(close_window),&academ_input);
  gtk_container_border_width(GTK_CONTAINER(academ_input),IN_BORDER);
  TopBox = gtk_hbox_new(FALSE,0);
  gtk_container_add(GTK_CONTAINER(academ_input),TopBox);
  gtk_widget_show(TopBox);
  
  Atable = gtk_table_new(11,5,FALSE);
  gtk_table_set_row_spacings(GTK_TABLE (Atable), 0);
  gtk_table_set_col_spacings(GTK_TABLE (Atable), 20);
  for(i=0;i<=3;i++)
    gtk_table_set_row_spacing (GTK_TABLE (Atable),i,15);
  gtk_container_border_width(GTK_CONTAINER(Atable),EX_BORDER);
  gtk_box_pack_start(GTK_BOX(TopBox),Atable,FALSE,FALSE,0);
  gtk_widget_show(Atable);
   
  /* .  */
  sid_lab = gtk_label_new (".  :");
  gtk_misc_set_alignment (GTK_MISC (sid_lab), 1.0, 0.5);
  gtk_table_attach_defaults(GTK_TABLE(Atable),sid_lab,0,1, 0,1);
  gtk_widget_show (sid_lab);
  sid_ent = gtk_entry_new();
  gtk_widget_set_usize(sid_ent,50,ENTRY_HEIGHT);
  gtk_table_attach_defaults(GTK_TABLE(Atable),sid_ent,1,2, 0,1);
  gtk_widget_show(sid_ent);

  /*     */
  name = gtk_label_new ("  ");
  gtk_misc_set_alignment (GTK_MISC (name), 0.0, 0.5);
  gtk_widget_set_sensitive (name, FALSE);
  gtk_table_attach_defaults(GTK_TABLE(Atable),name,2,4, 0,1);
  gtk_widget_show (name);

  /*  / */	
  kur_lab = gtk_label_new ("/ :");	
  gtk_misc_set_alignment (GTK_MISC (kur_lab), 1.0, 0.5);
  gtk_table_attach_defaults(GTK_TABLE(Atable),kur_lab,0,1, 1,2);
  gtk_widget_show (kur_lab);
  kur_box = gtk_hbox_new(FALSE,0);
  gtk_table_attach_defaults(GTK_TABLE(Atable),kur_box,1,2, 1,2);
  gtk_widget_show(kur_box);
  kur_ent = gtk_entry_new();  gtk_widget_set_usize (kur_ent,25,ENTRY_HEIGHT);
  gtk_box_pack_start (GTK_BOX(kur_box),kur_ent,FALSE,FALSE,0);
  gtk_widget_show (kur_ent);
  grp_ent = gtk_entry_new();  gtk_widget_set_usize (grp_ent,25,ENTRY_HEIGHT);
  gtk_box_pack_start (GTK_BOX(kur_box),grp_ent,FALSE,FALSE,0);
  gtk_widget_show (grp_ent);

  /*  */
  kaf_lab = gtk_label_new (" :");	
  gtk_misc_set_alignment (GTK_MISC (kaf_lab), 1.0, 0.5);
  gtk_table_attach_defaults(GTK_TABLE(Atable),kaf_lab,0,1, 2,3);
  gtk_widget_show(kaf_lab);
  kaf_menu = gtk_option_menu_new ();
  gtk_option_menu_set_menu (GTK_OPTION_MENU (kaf_menu),create_kafs());
  gtk_table_attach_defaults(GTK_TABLE(Atable),kaf_menu,1,2, 2,3);
  gtk_widget_show(kaf_menu);

  /*   */
  boss_lab = gtk_label_new (" :");	
  gtk_misc_set_alignment (GTK_MISC (boss_lab), 1.0, 0.5);
  gtk_table_attach_defaults(GTK_TABLE(Atable),boss_lab,2,3, 2,3);
  gtk_widget_show(boss_lab);
  boss_ent = gtk_entry_new();
  gtk_table_attach_defaults(GTK_TABLE(Atable),boss_ent,3,4, 2,3);
  gtk_widget_show(boss_ent);
  
  /*  */
  separator = gtk_hseparator_new();
  gtk_table_attach_defaults(GTK_TABLE(Atable),separator,0,4, 3,4);
  gtk_widget_show(separator);

  /*  */
  for(i=0;i<7;i++) {
    if(i==0) 
      strcpy(buf,".  1  :");
    else
      if(i==6) strcpy(buf," :");
    else
      sprintf(buf,"%d  :",i+1);
    tr_lab[i] = gtk_label_new (buf);
    gtk_misc_set_alignment (GTK_MISC (tr_lab[i]), 1.0, 0.5);
    gtk_table_attach_defaults(GTK_TABLE(Atable),tr_lab[i],0,1, i+4,i+4+1);
    gtk_widget_show (tr_lab[i]);
    tr_dat[i] = datebox_new();
    gtk_table_attach_defaults(GTK_TABLE(Atable),tr_dat[i],1,2, i+4,i+4+1);
    gtk_widget_show (tr_dat[i]);
    tr_ord[i] = gtk_entry_new ();
    gtk_widget_set_usize (tr_ord[i],50,ENTRY_HEIGHT);
    gtk_table_attach_defaults(GTK_TABLE(Atable),tr_ord[i],2,3, i+4,i+4+1);
    gtk_widget_show (tr_ord[i]);
  }


  /*    */
  academ_info_box = gtk_vbox_new (FALSE,0);
  gtk_table_attach_defaults(GTK_TABLE(Atable),academ_info_box,4,5, 0,4);  
  gtk_widget_show (academ_info_box);
  save_academ_data = gtk_button_new_with_label ("");
  gtk_signal_connect (GTK_OBJECT(save_academ_data),"clicked",
		      GTK_SIGNAL_FUNC(GetAcademInfo),NULL);
  gtk_box_pack_start (GTK_BOX(academ_info_box),save_academ_data,FALSE,FALSE,0);
  gtk_widget_show (save_academ_data);
  cancel_academ_data = gtk_button_new_with_label ("");
  gtk_signal_connect (GTK_OBJECT (cancel_academ_data),"clicked",
		      GTK_SIGNAL_FUNC(CancelAction),
		      GTK_WIDGET(academ_input));
  gtk_box_pack_end (GTK_BOX(academ_info_box),cancel_academ_data,FALSE,FALSE,0);
  gtk_widget_show (cancel_academ_data);
  
  gtk_widget_show (academ_input);
}
