#include <redbook.h>
#include <redsql.h>

void w_basic_input  (void);
void w_academ_input (void);
void w_sql_query    (void);

int main(int argc, char **argv) {
  struct {
    char *label;
    void (*func) ();
  } buttons[] = {
    { " ",       w_basic_input },
    { " ", w_academ_input},
    { " ",       NULL },
    { " ",      NULL },
    { "",                   NULL },
    { "  ",        NULL },
    { "",                   NULL },
    { " SQL-",	  w_sql_query },
  };
  register int i;
  int nbuttons = sizeof (buttons) / sizeof (buttons[0]);
  GtkWidget *TOP,*b_box,*s_box,*box2,*button,
    *separator,*close_b;

  gtk_init(&argc,&argv);
  gtk_rc_parse("redbook.rc");


  mode = 255;

  /*    SQL .     */
  if(!mysql_connect(&book,SQL_SERVER,SQL_USER,NULL)) {
    red_quit((gchar*)"    ");
  } else {   
    TOP = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    gtk_signal_connect (GTK_OBJECT (TOP), "destroy",
			GTK_SIGNAL_FUNC(gtk_exit),
			NULL);
    gtk_signal_connect (GTK_OBJECT (TOP), "delete_event",
			GTK_SIGNAL_FUNC(gtk_exit),
			NULL);
    gtk_widget_set_usize(TOP,200,250);
    
    b_box = gtk_vbox_new(FALSE,0);
    gtk_container_border_width(GTK_CONTAINER(b_box),EX_BORDER);
    gtk_container_add (GTK_CONTAINER (TOP), b_box);
    gtk_widget_show (b_box);
    s_box = gtk_scrolled_window_new (NULL,NULL);
    gtk_container_border_width(GTK_CONTAINER(s_box),EX_BORDER);
    gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (s_box),
				    GTK_POLICY_AUTOMATIC, 
				    GTK_POLICY_AUTOMATIC);
    gtk_box_pack_start (GTK_BOX (b_box), s_box, TRUE, TRUE, 0);
    gtk_widget_show (s_box);
    box2 = gtk_vbox_new (FALSE, 0);
    gtk_container_add (GTK_CONTAINER (s_box), box2);
    gtk_widget_show (box2);
    for (i = 0; i < nbuttons; i++) {
      button = gtk_button_new_with_label (buttons[i].label);
      if (buttons[i].func)
	gtk_signal_connect (GTK_OBJECT (button), "clicked", 
			    GTK_SIGNAL_FUNC(buttons[i].func),
			    NULL);
      else
	gtk_widget_set_sensitive (button, FALSE);
      gtk_box_pack_start (GTK_BOX (box2), button, TRUE, TRUE, 0);
      gtk_widget_show (button);
    }

    separator = gtk_hseparator_new();
    gtk_box_pack_start(GTK_BOX(b_box),separator,FALSE,TRUE,0);
    gtk_widget_show(separator);
  
    close_b = gtk_button_new_with_label(" ");
    gtk_signal_connect(GTK_OBJECT(close_b),"clicked",
		       GTK_SIGNAL_FUNC(DoExit),NULL);
    gtk_box_pack_start(GTK_BOX(b_box),close_b,FALSE,TRUE,0);
    GTK_WIDGET_SET_FLAGS (close_b, GTK_CAN_DEFAULT);
    gtk_widget_grab_default (close_b);
    gtk_widget_show(close_b);
    
    gtk_widget_show(TOP);
  }
  gtk_main();
  return 0;
}
